Show / Hide Table of Contents

# Class MenuBarItem

A MenuBarItem contains MenuBarItems or MenuItems.

##### Inheritance

System.Object
MenuItem
MenuBarItem

##### Inherited Members

MenuItem.HotKey
MenuItem.ShortCut
MenuItem.Title
MenuItem.Help
MenuItem.Action
MenuItem.CanExecute
MenuItem.IsEnabled()
MenuItem.Checked
MenuItem.CheckType
MenuItem.GetMenuItem()
MenuItem.GetMenuBarItem()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class MenuBarItem : MenuItem

### Constructors

#### MenuBarItem()

Initializes a new MenuBarItem.

##### Declaration

    public MenuBarItem()

#### MenuBarItem(ustring, String, Action, Func<Boolean>)

Initializes a new MenuBarItem as a MenuItem.

##### Declaration

    public MenuBarItem(ustring title, string help, Action action, Func<bool> canExecute = null)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | title | Title for the menu item.
System.String | help | Help text to display.
System.Action | action | Action to invoke when the menu item is activated.
System.Func<System.Boolean> | canExecute | Function to determine if the action can currently be executred.

#### MenuBarItem(ustring, MenuItem[])

Initializes a new MenuBarItem.

##### Declaration

    public MenuBarItem(ustring title, MenuItem[] children)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | title | Title for the menu item.
MenuItem[] | children | The items in the current menu.

#### MenuBarItem(MenuItem[])

Initializes a new MenuBarItem.

##### Declaration

    public MenuBarItem(MenuItem[] children)

##### Parameters

Type | Name | Description
--- | --- | ---
MenuItem[] | children | The items in the current menu.

### Properties

#### Children

Gets or sets an array of MenuItem objects that are the children of this MenuBarItem

##### Declaration

    public MenuItem[] Children { get; set; }

##### Property Value

Type | Description
--- | ---
MenuItem[] | The children.